severity 594636 minor
tag 594636 - patch
thanks

On Fri, 27 Aug 2010 23:09:26 +0200
hoareau jean pierre <hoarea...@free.fr> wrote:

> Package: general
> Severity: serious
> Tags: patch
> Justification: fails to build from source (but built successfully in
> the past)

It appears that you are trying to build the debian package from the
wrong version of VLC 

> debian source pkg "vlc_1.1.2.orig.tar.bz2" .

> dpkg-source: info: construction de vlc dans vlc_1.0.0-git-1.tar.gz

i.e. the debian packaging is for a different version of the upstream.

You've got the upstream tarball for 1.1.2 but you've matched that with
the Debian packaging for 1.0.0-git-1. It's not surprising that the
patches don't work.

As advised by Medhi in the bug report, if you try to build 1.1.3 in
both versions it works.

dget will download the orig.tar.bz2 as well as the Debian packaging and
will always ensure that the version of the packaging precisely matches
the version of the upstream it was intended to build.

Lowering the severity of this bug to stop it interfering with the
release, I'll let the VLC maintainers close it if they agree that the
original "steps to reproduce" showed an invalid build method. (The
patch tag is meant to be used when you have supplied a patch that fixes
the problem, not when the problem itself is due to an existing patch not
working.)

> Same problem with vlc_1.1.3.ori.tar.bz2

Match vla_1.1.3.orig.tar.bz2 with the Debian packaging *for* version
1.1.3-1 (as Mehdi detailed in this comment), and it builds fine.

If there remain issues with how 1.1.3-1 operates once it is built,
please explain in a reply to the bug report.

-- 


Neil Williams
=============
http://www.data-freedom.org/
http://www.linux.codehelp.co.uk/
http://e-mail.is-not-s.ms/

Attachment: pgpxtLEpZept5.pgp
Description: PGP signature

_______________________________________________
pkg-multimedia-maintainers mailing list
pkg-multimedia-maintainers@lists.alioth.debian.org
http://lists.alioth.debian.org/mailman/listinfo/pkg-multimedia-maintainers

Reply via email to